Please update compatibility Bewertet mit 2 von 5 Sternen

No update since 2009? What about FF4.01?